microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
路径参数
name
string
必需
The name of the skill.
version
string
必需
The version identifier to delete.
标头参数
Foundry-Features
enum
必需
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
查询参数
api-version
string
必需
The API version to use for this operation.
响应
The request has succeeded.
正文
Content-Type: application/json
id
string
必需
The unique identifier of the deleted skill version.
name
string
必需
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
必需
Whether the skill version was successfully deleted.
version
string
必需
The version that was deleted.
请求
DELETE /skills/{name}/versions/{version} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json